<?php
// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Multiple_Alloy_Calls/get_alloys__alloyID___alloyID2_1
// PHP call example for /alloys/{alloyID},{alloyID} or /alloys.xhtml/{alloyID},{alloyID}
// see documentation for required and optional query parameters
// this is only an example and may not be production-ready

$token; // global variable that should have already been stored and updated earlier in the PHP application for subsequent API calls, see auth-token.php
$headers = array();
$headers[] = 'Accept: text/html';
$headers[] = 'Content-Type: text/html';
$ch = curl_init(); // create curl resource
curl_setopt($ch, CURLOPT_URL, "https://api.copper.org/CDA-API/alloys/C11030,C12210?token=" . $token);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  //return the alloy list as a string
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); // add Accept and Content-Type headers
$data = curl_exec($ch); // save $token contains the output string
curl_close($ch);  // close curl resource
echo $data; // show API response
?>
